Name:           leterrier-aller
Version:        5.0
Release:        %mkrel 4
Summary:        Reading exercises Software
License:        GPLv2
Group:          Education
URL:            http://www.abuledu.org/
Source0:        %name-%{version}rc.tar.bz2
Patch0:         leterrier-aller-5.0-fix-link.patch
#Patch1:         leterrier-aller-5.0-fix-lrelease.patch
BuildRequires:  ccache
BuildRequires:  hunspell-devel
BuildRequires:  svox-pico-devel
BuildRequires:  pkgconfig(exiv2)

BuildRequires:  pkgconfig(vorbis)

BuildRequires:  qttools5

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Reading exercises Software
This software is part of Abuledu.

%files
%_bindir/leterrier-aller
%{_datadir}/applications/leterrier-aller.desktop
%{_datadir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n  %name-%{version}rc
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
        install -d -m 755 %buildroot%_bindir
        install -d -m 755 %buildroot%{_libdir}/%{name}
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/icones
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/dictionnaires
        install -d -m 755 %buildroot%{_datadir}/%{name}/data/instructions
        install -d -m 755 %buildroot%{_datadir}/%{name}/conf
        install -d -m 755 %buildroot%{_datadir}/%{name}/lang
        install -d -m 755 %buildroot%{_datadir}/applications
        install -d -m 755 %buildroot%{_datadir}/applications
        install -m 644 debian/*.desktop %buildroot%{_datadir}/applications/
        #install -m 644 src/data/*.abe %%{_datadir}/%%{name}/data
        install -m 644 src/data/instructions/*.ogg %buildroot%{_datadir}/%{name}/data/instructions
        install -m 644 src/exemples/*.abe %buildroot%{_datadir}/%{name}/data
        install -m 644 src/data/dictionnaires/mot_aller_cycle3.csv %buildroot%{_datadir}/%{name}/data/dictionnaires/
        install -m 644 src/data/dictionnaires/fr-moderne.aff %buildroot%{_datadir}/%{name}/data/dictionnaires/
        install -m 644 src/data/dictionnaires/fr-moderne.dic %buildroot%{_datadir}/%{name}/data/dictionnaires/
        install -m 755 src/%{name} %buildroot%{_bindir}
        install -m 644 src/data/icones/*%{name}*-256.png %buildroot%{_datadir}/%{name}/
        install -m 644 src/lang/*.qm %buildroot%{_datadir}/%{name}/lang



%changelog
* Thu Jul 14 2016 daviddavid <daviddavid> 5.0-4.mga6
+ Revision: 1041986
- do not strip binaries(y) thus really fixing empty debuginfo
- rebuild for new svox-pico 20160125

* Fri Apr 22 2016 tv <tv> 5.0-3.mga6
+ Revision: 1004485
- rebuid for libhunspell 1.4

* Mon Feb 15 2016 umeabot <umeabot> 5.0-2.mga6
+ Revision: 960901
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 neoclust <neoclust> 5.0-1.mga6
+ Revision: 916099
- Add svox-pico-devel as BR
- Add hunspell-devel as BR
- imported package leterrier-aller

